/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2002 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.dynamo.app;

import java.io.*;
import com.silverwrist.util.*;
import com.silverwrist.dynamo.except.RenderingException;
import com.silverwrist.dynamo.iface.*;

class DataItemRenderer implements BinaryRenderer
{
  /*--------------------------------------------------------------------------------
   * Constructor
   *--------------------------------------------------------------------------------
   */

  DataItemRenderer()
  { // do nothing
  } // end constructor

  /*--------------------------------------------------------------------------------
   * Implementations from interface BinaryRenderer
   *--------------------------------------------------------------------------------
   */

  public void render(Object obj, BinaryRenderControl control) throws IOException, RenderingException
  {
    DataItem di = (DataItem)obj;
    control.setContentType(di.getMimeType());
    control.setContentLength(di.getSize());
    OutputStream stm = control.getStream();
    IOUtils.copy(di.getDataStream(),stm);
    stm.flush();

  } // end render

} // end class DataItemRenderer
