/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2002 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.dynamo.dialog;

import org.w3c.dom.*;
import com.silverwrist.dynamo.except.*;
import com.silverwrist.dynamo.iface.*;
import com.silverwrist.dynamo.util.*;

class EmailAddressField extends TextField
{
  /*--------------------------------------------------------------------------------
   * Constructors
   *--------------------------------------------------------------------------------
   */

  EmailAddressField(Element elt) throws DialogException
  {
    super(elt);

  } // end constructor

  protected EmailAddressField(EmailAddressField other)
  {
    super(other);

  } // end constructor
  
  /*--------------------------------------------------------------------------------
   * Overrides from class CommonTextField
   *--------------------------------------------------------------------------------
   */

  protected void validateContents(Request r, Object data) throws ValidationException
  {
    super.validateContents(r,data);
    if ((data!=null) && !(IDUtils.isValidEmailAddress(data.toString())))
    { // not a valid E-mail address - throw exception
      ValidationException ve = new ValidationException(EmailAddressField.class,"DialogMessages","bad.email");
      ve.setParameter(0,getCaption());
      throw ve;

    } // end if

  } // end validateContents

  /*--------------------------------------------------------------------------------
   * Overrides from class TextField
   *--------------------------------------------------------------------------------
   */

  public Object clone()
  {
    return new EmailAddressField(this);

  } // end clone

} // end class EmailAddressField
