/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2003 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.dynamo.event;

import com.silverwrist.dynamo.iface.UniStorePart;

public class MessagePartAddedEvent extends MessagePartUpdateEvent
{
  /*--------------------------------------------------------------------------------
   * Constructor
   *--------------------------------------------------------------------------------
   */

  public MessagePartAddedEvent(UniStorePart src)
  {
    super(src);

  } // end constructor

  /*--------------------------------------------------------------------------------
   * Overrides from class MessagePartUpdateEvent
   *--------------------------------------------------------------------------------
   */

  public String toString()
  {
    return "MessagePartAddedEvent: message ID#" + getMessagePart().getMessageID() + ", new "
         + (isBinaryPart() ? "binary" : "text") + " part " + getMessagePart().getPartIdentity();

  } // end toString

} // end class MessagePartAddedEvent
