/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2003 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.dynamo.iface;

/**
 * An object which is used to configure new HTML Checker profiles after they're loaded from the database.  When a
 * profile is loaded, its basic properties are loaded from the database, then all registered
 * <CODE>HTMLCheckerConfigurator</CODE> objects are called on the new profile; the objects can then read the
 * configuration properties and insert code objects into the profile as necessary.
 *
 * @author Eric J. Bowersox &lt;erbo@silcom.com&gt;
 * @version X
 */
public interface HTMLCheckerConfigurator
{
  /**
   * Use this configurator to configure the supplied
   * {@link com.silverwrist.dynamo.iface.HTMLCheckerProfile HTMLCheckerProfile}.
   *
   * @param profile The profile to be configured.
   */
  public void configure(HTMLCheckerProfile profile);

} // end interface HTMLCheckerConfigurator
