/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2002 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.dynamo.xmlrpc;

class RegisteredFaultMapper
{
  /*--------------------------------------------------------------------------------
   * Attributes
   *--------------------------------------------------------------------------------
   */

  private Class m_class;
  private XmlRpcFaultMapper m_fmap;

  /*--------------------------------------------------------------------------------
   * Constructor
   *--------------------------------------------------------------------------------
   */

  RegisteredFaultMapper(Class klass, XmlRpcFaultMapper fmap)
  {
    m_class = klass;
    m_fmap = fmap;

  } // end constructor

  /*--------------------------------------------------------------------------------
   * Overrides from class Object
   *--------------------------------------------------------------------------------
   */

  public boolean equals(Object o)
  {
    if ((o==null) || !(o instanceof RegisteredFaultMapper))
      return false;
    RegisteredFaultMapper other = (RegisteredFaultMapper)o;
    return ((m_class==other.m_class) && (m_fmap==other.m_fmap));

  } // end equals

  public int hashCode()
  {
    return m_class.hashCode() ^ System.identityHashCode(m_fmap);

  } // end hashCode

  /*--------------------------------------------------------------------------------
   * External operations
   *--------------------------------------------------------------------------------
   */

  boolean match(Class klass)
  {
    return (m_class==klass);

  } // end match

  XmlRpcFaultMapper getFaultMapper()
  {
    return m_fmap;

  } // end getFaultMapper

} // end class RegisteredFaultMapper
