/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2003 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.app;

import com.silverwrist.dynamo.db.OpsBase;
import com.silverwrist.dynamo.except.*;
import com.silverwrist.dynamo.iface.*;
import com.silverwrist.venice.SearchMode;

abstract class AdvancedUserOps extends OpsBase
{
  /*--------------------------------------------------------------------------------
   * Constructor
   *--------------------------------------------------------------------------------
   */

  protected AdvancedUserOps(DBConnectionPool pool)
  {
    super(pool);

  } // end constructor

  /*--------------------------------------------------------------------------------
   * Abstract operations
   *--------------------------------------------------------------------------------
   */

  abstract int[] searchProperty(int nsid, String name, SearchMode mode, String term, int offset, int count)
      throws DatabaseException;

  abstract int searchPropertyCount(int nsid, String name, SearchMode mode, String term) throws DatabaseException;

  abstract int[] searchName(SearchMode mode, String term, int offset, int count) throws DatabaseException;

  abstract int searchNameCount(SearchMode mode, String term) throws DatabaseException;

  /*--------------------------------------------------------------------------------
   * External static operations
   *--------------------------------------------------------------------------------
   */

  static AdvancedUserOps get(DBConnectionPool pool) throws ConfigException
  {
    return (AdvancedUserOps)get(pool,AdvancedUserOps.class.getClassLoader(),
				AdvancedUserOps.class.getName() + "_","AdvancedUserOps");

  } // end get

} // end class AdvancedUserOps
